cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
Showing results for 
Search instead for 
Did you mean: 

How to get visibility of a part in assembly?

Highlighted
Newbie

How to get visibility of a part in assembly?

Hi All,

I have tried ProFeatureVisibilityGet() in SolidFeatureVisitAction().
It returns visibility as true for all parts hidden or shown.

I have also tried ProAsmcompVisibilityGet() unsuccessfully.

Any pointers will be helpful.

Regards,

Vinay
3 REPLIES 3

How to get visibility of a part in assembly?

I am having similar problem with ProGeomitemIsInactive().

Bob Monat
Jerand Technical Services, Inc.
bob@jerand.com
www.jerand.com
1-317-875-6087


How to get visibility of a part in assembly?

Try ProFeatureVisibilityGet(). Remember, component parts are features of the top-level assembly.

Patrick Williams | Sr. Applications Engineer | Engineering Systems | Steelcase Inc. | 616.698.4078 | My Site<">http://my.steelcase.com/Person.aspx?accountname=NA\PWILLIA3>

[cid:image001.jpg@01C9A65D.7E3E6F00]

RE.: How to get visibility of a part in assembly?

Hi all,

If ProFeatureVisibilityGet and ProAsmcompVisibility get did not return anything of value I would try ProFeatureStatusGet. I would also try to use ProLayerDisplaystatusGet and ProLayeritemStatusGet.

HIH.

Feliks.

Announcements